# To get the unique host for an index,
# see https://docs.pinecone.io/guides/manage-data/target-an-index
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_HOST="INDEX_HOST"
curl -X DELETE "https://$INDEX_HOST/bulk/imports/101" \
-H 'Api-Key: $PINECONE_API_KEY' \
-H "X-Pinecone-Api-Version: 2025-10"
{}
Imports
Cancel an import
Cancel an import operation if it is not yet finished. It has no effect if the operation is already finished.
For guidance and examples, see Import data.
DELETE
/
bulk
/
imports
/
{id}
# To get the unique host for an index,
# see https://docs.pinecone.io/guides/manage-data/target-an-index
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_HOST="INDEX_HOST"
curl -X DELETE "https://$INDEX_HOST/bulk/imports/101" \
-H 'Api-Key: $PINECONE_API_KEY' \
-H "X-Pinecone-Api-Version: 2025-10"
{}
This feature is in public preview and available only on Standard and Enterprise plans.
# To get the unique host for an index,
# see https://docs.pinecone.io/guides/manage-data/target-an-index
PINECONE_API_KEY="YOUR_API_KEY"
INDEX_HOST="INDEX_HOST"
curl -X DELETE "https://$INDEX_HOST/bulk/imports/101" \
-H 'Api-Key: $PINECONE_API_KEY' \
-H "X-Pinecone-Api-Version: 2025-10"
{}
Authorizations
Headers
Required date-based version header
Path Parameters
Unique identifier for the import operation.
Required string length:
1 - 1000Response
Operation cancelled successfully
The response for the cancel_import operation.
Was this page helpful?
⌘I